<script setup>
import {ShowPage} from '@/app/core/pages/crud';
import model from '@/modules/questions/models/questions_answers';

import PageTitle from '@/app/components/blocks/PageTitle.vue';
import Item from '@/app/components/crud/http/Item.vue';</script>

<script>
export default {
  data() {
    return new ShowPage({
      context: this,
      title: this.__('Просмотр'),
      titleField: 'id',
      breadcrumbs: [
        {
          label: this.__('Ответы'),
          path: 'questions/answers',
        },
      ],
      model: model,
      http: {
        path: 'questions/answers/:id',
        query: {
          'with[0]': 'answers',
        },
      },
    });
  },
};
</script>

<template>
  <PageTitle :text="title"/>
  <Item child="show"/>
</template>
